Detect a domain's registrar

Looks up the domain's nameservers to detect its DNS registrar and returns the provider, nameservers, and a link to its setup docs.

POST
/v1/email/domains/{id}/registrar

Looks up the domain's nameservers to detect its DNS registrar and returns the provider, nameservers, and a link to its setup docs.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^dom_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
domain*string

Response Body

Success

application/json
  1. response
provider*string
name*string
nameservers*array<string>
docsUrl*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.detectRegistrar({  "id": "example",  "domain": "example"});
Example Response
{  "provider": "string",  "name": "string",  "nameservers": [    "string"  ],  "docsUrl": "string"}

Related documentation